## toppic 1.3.0+dfsg1

=== CMakeLists.txt ===
#Specify the version being used as well as the language
cmake_minimum_required(VERSION 3.1)
#Name your project here
project(TopPIC)

SET(CMAKE_VERBOSE_MAKEFILE ON)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/../bin)

SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/../lib)

SET(CMAKE_INSTALL_PREFIX ${HOME}/toppic)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++11 -O3 -DWITHOUT_MZ5 -fPIC")
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall  -g -std=c++11  -DWITHOUT_MZ5 -fPIC")
#SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -Wall -std=c++11 -O2 -pg -fPIC")
message(STATUS "system name " ${CMAKE_SYSTEM_NAME})

# for Qt
set(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Gui)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  # Linux specific code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DTOPPIC_LINUX")
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src
                      ${CMAKE_CURRENT_SOURCE_DIR}/ext
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS})
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux") 

IF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
  # Windows specific code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DTOPPIC_WINDOWS -DWIN32")
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src
                      ${CMAKE_CURRENT_SOURCE_DIR}/ext
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS})
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")

message(STATUS "cmake cxx flags " ${CMAKE_CXX_FLAGS})

# pwiz
file(GLOB PWIZ_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/ext/pwiz/utility/minimxml/*.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/ext/pwiz/utility/misc/*.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/ext/pwiz/data/common/*.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/ext/pwiz/data/msdata/*.cpp)

# hts
file(GLOB HTS_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/ext/htslib/*.c)

# common
file(GLOB_RECURSE COMMON_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/common/*.cpp)
file(GLOB SEQ_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/seq/*.cpp)
file(GLOB SPEC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/ms/spec/*.cpp)
file(GLOB ENV_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/ms/env/*.cpp)
file(GLOB FEATURE_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/ms/feature/*.cpp)
file(GLOB PRSM_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/prsm/*.cpp)

# classes for topfd 
file(GLOB_RECURSE TOPFD_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/topfd/*.cpp)

# topfd console 
file(GLOB TOPFD_CONSOLE_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd_argument.cpp
                             ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd.cpp)
# topfd gui
file(GLOB TOPFD_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topfd/*.cpp
                           ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topfd/*.qrc)

# topfd_single console main
file(GLOB TOPFD_SINGLE_PROC_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd_single_process.cpp)
file(GLOB TOPFD_SINGLE_CONSOLE_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd_single_argument.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd_single.cpp)

# classes for toppic
file(GLOB_RECURSE FILTER_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/filter/*.cpp)

file(GLOB ZERO_PTM_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/search/zeroptmsearch/*.cpp)
file(GLOB ONE_PTM_SEARCH_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/search/oneptmsearch/*.cpp)
file(GLOB PTM_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/search/ptmsearch/*.cpp)

file(GLOB TDGF_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/stat/tdgf/*.cpp)
file(GLOB LOCAL_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/stat/local/*.cpp)
file(GLOB VISUAL_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/visual/*.cpp)

# toppic console main
file(GLOB TOPPIC_PROC_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/console/toppic_process.cpp
			     ${CMAKE_CURRENT_SOURCE_DIR}/src/console/toppic_argument.cpp)
file(GLOB TOPPIC_CONSOLE_SRCS	${CMAKE_CURRENT_SOURCE_DIR}/src/console/toppic.cpp)

# toppic gui main
file(GLOB TOPPIC_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/toppic/*.cpp
			    ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/toppic/*.qrc)

# classes for topmg
file(GLOB TOPMG_FILTER_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/filter/massmatch/*.cpp
                             ${CMAKE_CURRENT_SOURCE_DIR}/src/filter/oneptm/*.cpp
                             ${CMAKE_CURRENT_SOURCE_DIR}/src/filter/diag/*.cpp)

file(GLOB GRAPH_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/search/graph/*.cpp)
file(GLOB GRAPH_ALIGN_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/search/graphalign/*.cpp)

file(GLOB MCMC_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/stat/mcmc/*.cpp)

# topmg console main
file(GLOB TOPMG_PROC_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmg_process.cpp
			    ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmg_argument.cpp)
file(GLOB TOPMG_CONSOLE_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmg.cpp)

# topmg gui main
file(GLOB TOPMG_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topmg/*.cpp
			   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topmg/*.qrc)

# topdiff classes
file(GLOB DIFF_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/merge/*.cpp)

# topdiff console main
file(GLOB TOPDIFF_PROC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topdiff_process.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topdiff_argument.cpp)
file(GLOB TOPDIFF_CONSOLE_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topdiff.cpp)

# topdiff gui main 
file(GLOB TOPDIFF_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topdiff/*.cpp
			      ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topdiff/*.qrc)

# unit test using catch
file(GLOB UNIT_TEST_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/test/*.cpp)

add_executable(topfd 
  ${TOPFD_CONSOLE_SRCS} ${TOPFD_SRCS} ${SPEC_SRCS} ${ENV_SRCS} 
  ${FEATURE_SRCS} ${PWIZ_SRCS} ${COMMON_SRCS})

#add_executable(topfd_single 
#  ${TOPFD_SINGLE_CONSOLE_SRCS} ${TOPFD_SINGLE_PROC_SRCS} ${TOPFD_SRCS}
#  ${SPEC_SRCS} ${ENV_SRCS} ${PWIZ_SRCS} ${COMMON_SRCS}) 

add_executable(topfd_gui 
  ${TOPFD_GUI_SRCS} ${TOPFD_SRCS} ${SPEC_SRCS} ${ENV_SRCS} 
  ${FEATURE_SRCS} ${PWIZ_SRCS} ${COMMON_SRCS})

add_executable(toppic 
	${TOPPIC_CONSOLE_SRCS} ${TOPPIC_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS} ${FILTER_SRCS}  
	${ZERO_PTM_SRCS} ${ONE_PTM_SEARCH_SRCS} ${PTM_SRCS} 
  ${TDGF_SRCS} ${LOCAL_SRCS} ${VISUAL_SRCS})

add_executable(toppic_gui 
	${TOPPIC_GUI_SRCS} ${TOPPIC_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS} ${FILTER_SRCS} 
  ${ZERO_PTM_SRCS} ${ONE_PTM_SEARCH_SRCS} ${PTM_SRCS} 
  ${TDGF_SRCS} ${LOCAL_SRCS} ${VISUAL_SRCS})


add_executable(topmg 
	${TOPMG_CONSOLE_SRCS} ${TOPMG_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS} ${TOPMG_FILTER_SRCS} 
	${ONE_PTM_SEARCH_SRCS} ${GRAPH_SRCS} ${GRAPH_ALIGN_SRCS} ${TDGF_SRCS} 
  ${MCMC_SRCS} ${VISUAL_SRCS})

add_executable(topmg_gui 
	${TOPMG_GUI_SRCS} ${TOPMG_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS}
	${TOPMG_FILTER_SRCS} ${ONE_PTM_SEARCH_SRCS} 
	${GRAPH_SRCS} ${GRAPH_ALIGN_SRCS} ${TDGF_SRCS} 
  ${MCMC_SRCS} ${VISUAL_SRCS})

add_executable(topdiff 
  ${TOPDIFF_CONSOLE_SRCS} ${TOPDIFF_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS}
  ${SEQ_SRCS} ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS} ${DIFF_SRCS})

add_executable(topdiff_gui ${TOPDIFF_GUI_SRCS} ${TOPDIFF_GUI_QRC}
  ${TOPDIFF_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS} ${DIFF_SRCS})

#add_executable(toppic_test 
#  ${TEST_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
#  ${SEQ_SRCS} ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS} ${FILTER_SRCS}  
#  ${ZERO_PTM_SRCS} ${ONE_PTM_SEARCH_SRCS} ${PTM_SRCS} 
#  ${TDGF_SRCS} ${LOCAL_SRCS} ${VISUAL_SRCS})


#add_executable(toppic_match_peak ${TOPPIC_MATCH_PEAK_SRCS} ${TOPPIC_ARGU_SRCS} ${HTS_SRCS} ${BASE_SRCS} ${SPEC_SRCS} ${PRSM_SRCS} ${PRSM_VIEW_SRCS})

#add_executable(topfd_train ${TOPFD_TRAIN_SRCS} ${TOPFD_ARGU_SRCS} ${HTS_SRCS} ${BASE_SRCS} ${SPEC_SRCS} ${FEATURE_SRCS} ${PWIZ_SRC})

IF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    target_link_libraries(topfd xerces-c
        boost_program_options-mt boost_filesystem-mt
        boost_system-mt boost_thread-mt
        boost_iostreams-mt boost_chrono-mt pthread z Ws2_32)

      #   target_link_libraries(topfd_single xerces-c
      #  boost_program_options-mt boost_filesystem-mt
      #  boost_system-mt boost_thread-mt
      #  boost_iostreams-mt boost_chrono-mt pthread z Ws2_32)

    target_link_libraries(toppic xerces-c
        boost_filesystem-mt boost_system-mt 
        boost_program_options-mt boost_thread-mt pthread z Ws2_32)

    target_link_libraries(topmg xerces-c
        boost_filesystem-mt boost_system-mt
        boost_program_options-mt boost_thread-mt pthread z Ws2_32)

   target_link_libraries(topdiff xerces-c boost_program_options-mt
        boost_filesystem-mt boost_system-mt boost_thread-mt pthread z Ws2_32)

    # for Qt
    SET(QTOPTION -Wl,-subsystem,windows)
    target_link_libraries(topfd_gui ${QTOPTION} Qt5Widgets Qt5Core Qt5Gui
        xerces-c boost_filesystem-mt boost_system-mt boost_thread-mt 
	    	boost_iostreams-mt boost_chrono-mt pthread z Ws2_32)

    target_link_libraries(toppic_gui ${QTOPTION} Qt5Widgets Qt5Core Qt5Gui xerces-c
        boost_filesystem-mt boost_system-mt 
        boost_program_options-mt boost_thread-mt pthread z Ws2_32)

    target_link_libraries(topmg_gui ${QTOPTION} Qt5Widgets Qt5Core Qt5Gui xerces-c
        boost_filesystem-mt boost_system-mt
        boost_program_options-mt boost_thread-mt pthread z Ws2_32)

    target_link_libraries(topdiff_gui ${QTOPTION} Qt5Widgets Qt5Core Qt5Gui xerces-c
        boost_filesystem-mt boost_system-mt 
        boost_program_options-mt boost_thread-mt pthread z Ws2_32)


ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Windows") 

# xerces-c boost_system, boost_thread boost_iostreams boost_chrono pthread z are required by
# ProteoWizard
IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    target_link_libraries(topfd xerces-c boost_program_options
        boost_filesystem boost_system boost_thread boost_iostreams boost_chrono
        pthread z)

    target_link_libraries(topfd_gui Qt5Widgets Qt5Core Qt5Gui
        xerces-c boost_filesystem boost_system boost_thread boost_iostreams boost_chrono pthread z)

      #target_link_libraries(topfd_single xerces-c boost_program_options
      #  boost_filesystem boost_system boost_thread boost_iostreams boost_chrono
      #  pthread z)

    target_link_libraries(toppic xerces-c boost_program_options
        boost_filesystem boost_system boost_thread pthread z)

    target_link_libraries(toppic_gui Qt5Widgets Qt5Core Qt5Gui xerces-c boost_program_options
        boost_filesystem boost_system boost_thread pthread z)

    target_link_libraries(topmg xerces-c boost_program_options
        boost_filesystem boost_system boost_thread pthread z)

    target_link_libraries(topmg_gui Qt5Widgets Qt5Core Qt5Gui xerces-c boost_program_options
        boost_filesystem boost_system boost_thread pthread z)

    target_link_libraries(topdiff xerces-c boost_program_options
	      boost_filesystem boost_system boost_thread pthread z)

    target_link_libraries(topdiff_gui Qt5Widgets Qt5Core Qt5Gui
        xerces-c boost_program_options boost_filesystem boost_system boost_thread boost_iostreams pthread z)

#    target_link_libraries(toppic_test xerces-c boost_program_options
#  boost_filesystem boost_system boost_thread pthread z)

#    target_link_libraries(toppic_match_peak xerces-c boost_program_options
#        boost_filesystem boost_system boost_thread pthread z)

#    target_link_libraries(topfd_train xerces-c boost_program_options
#        boost_filesystem boost_system boost_thread boost_iostreams boost_chrono pthread z)

=== debian/changelog ===
toppic (1.3.0+dfsg1-4build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:20:25 +0100

toppic (1.3.0+dfsg1-4) unstable; urgency=low

  * Fix the URLs for the VCS.

  * Make sure the build flags are handled correctly.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 11 Nov 2020 18:36:47 +0100

toppic (1.3.0+dfsg1-3) unstable; urgency=low

  * Reinstating the ITP bug closing statement (Closes: #961085).

  * Patch the build system so that the external libpwiz subset code that is
    included is not used. Instead, link to the pwizlite library that I have
    created and packaged for Debian. Use CMake to find libpwizlite and libhts.

  * Remove from the d/copyright all the stanzas related to the pwiz/boost code
    since it does not belong to the cleaned package anymore. Add the
    corresponding files to the Files-Excluded stanza.

  * d/s/lintian-overrides: override E for missing sources files that are
    genuine package authors' code (lintian is triggered by long lines > 512
    chars).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 03 Nov 2020 09:28:06 +0100

toppic (1.3.0+dfsg1-2) unstable; urgency=low

  * Fixes to the packaging.

  * Reinstating bug closing statement (Closes: #961085).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Jun 2020 00:09:22 +0200

toppic (1.3.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #961085).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 May 2020 22:46:41 +0200

=== debian/control ===
Source: toppic
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 12),
 dpkg-dev (>= 1.18.25),
 cmake (>= 3.12),
  pkg-config,
 libhts-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libboost-system-dev,
 libboost-iostreams-dev,
 libboost-chrono-dev,
 libxerces-c-dev,
 qtbase5-dev,
 libpwizlite-dev,
 zlib1g-dev,
 python3-docutils,
 libjs-filesaver,
 fonts-font-awesome,
 fonts-freefont-ttf,
 libjs-bootstrap4,
 libjs-popper.js,
 libjs-jquery-ui,
 node-jquery
Standards-Version: 4.5.0
Homepage: http://proteomics.informatics.iupui.edu/software/toppic/index.html
Vcs-Browser: https://salsa.debian.org/debichem-team/toppic
Vcs-Git: https://salsa.debian.org/debichem-team/toppic.git


Package: toppic
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 toppic-common (= ${source:Version})
Description: Top-down proteoform identification and characterization (programs)
 The TopPIC Suite consists of four software tools for the interpretation
 of top-down mass spectrometry data: TopFD, TopPIC, TopMG, and TopDiff.
 .
	 -TopFD (Top-down mass spectral Feature Detection) is a software tool
    for top-down spectral deconvolution and a successor to MS-Deconv.  It
    groups top-down spectral peaks into isotopomer envelopes and converts
    isotopomer envelopes to monoisotopic neutral masses. In addition, it
    extracts proteoform features from LC-MS or CE-MS data.
 .
	 -TopPIC (Top-down mass spectrometry based Proteoform Identification
    and Characterization) identifies and characterizes proteoforms at the
    proteome level by searching top-down tandem mass spectra against a
    protein sequence database. TopPIC is a successor to MS-Align+. It
    efficiently identifies proteoforms with unexpected alterations, such
    as mutations and post-translational modifications (PTMs), accurately
    estimates the statistical significance of identifications, and
    characterizes reported proteoforms with unknown mass shifts. It uses
    several techniques, such as indexes, spectral alignment, generation
    function methods, and the modification identification score (MIScore),
    to increase the speed, sensitivity, and accuracy.
 .
	 -TopMG (Top-down mass spectrometry based proteoform identification
    using Mass Graphs) is a software tool for identifying ultra-modified
    proteoforms by searching top-down tandem mass spectra against a
    protein sequence database.  It is capable of identifying proteoforms
    with multiple variable PTMs and unexpected alterations, such as
    histone proteoforms and phosphorylated ones.  It uses mass graphs,
    which efficiently represent candidate proteoforms with multiple
    variable PTMs, to increase the speed and sensitivity in proteoform
    identification. In addition, approximate spectrum-based filtering
    methods are employed for protein sequence filtering, and a Markov
    chain Monte Carlo method (TopMCMC) is used for estimating the
    statistical significance of identifications.  
 .
	 -TopDiff (Top-down mass spectrometry-based identification of
    Differentially expressed proteoforms) compares the abundances of
    proteoforms and finds differentially expressed proteoforms by using
    identifications of top-down mass spectrometry data of several protein
    samples.


Package: toppic-common
Architecture: all
Depends: ${misc:Depends},
 fonts-font-awesome,
 fonts-freefont-ttf,
 libjs-filesaver,
 libjs-bootstrap4,
 libjs-popper.js,
 libjs-jquery-ui,
 node-jquery
Description: Top-down proteoform identification and characterization (common data)
 The TopPIC Suite consists of four software tools for the interpretation
 of top-down mass spectrometry data: TopFD, TopPIC, TopMG, and TopDiff.
 .
	 -TopFD (Top-down mass spectral Feature Detection) is a software tool
    for top-down spectral deconvolution and a successor to MS-Deconv.  It
    groups top-down spectral peaks into isotopomer envelopes and converts
    isotopomer envelopes to monoisotopic neutral masses. In addition, it
    extracts proteoform features from LC-MS or CE-MS data.
 .
	 -TopPIC (Top-down mass spectrometry based Proteoform Identification
    and Characterization) identifies and characterizes proteoforms at the
    proteome level by searching top-down tandem mass spectra against a
    protein sequence database. TopPIC is a successor to MS-Align+. It
    efficiently identifies proteoforms with unexpected alterations, such
    as mutations and post-translational modifications (PTMs), accurately
    estimates the statistical significance of identifications, and
    characterizes reported proteoforms with unknown mass shifts. It uses
    several techniques, such as indexes, spectral alignment, generation
    function methods, and the modification identification score (MIScore),
    to increase the speed, sensitivity, and accuracy.
 .
	 -TopMG (Top-down mass spectrometry based proteoform identification
    using Mass Graphs) is a software tool for identifying ultra-modified
    proteoforms by searching top-down tandem mass spectra against a
    protein sequence database.  It is capable of identifying proteoforms
    with multiple variable PTMs and unexpected alterations, such as
    histone proteoforms and phosphorylated ones.  It uses mass graphs,
    which efficiently represent candidate proteoforms with multiple
    variable PTMs, to increase the speed and sensitivity in proteoform
    identification. In addition, approximate spectrum-based filtering
    methods are employed for protein sequence filtering, and a Markov
    chain Monte Carlo method (TopMCMC) is used for estimating the
    statistical significance of identifications.  
 .
	 -TopDiff (Top-down mass spectrometry-based identification of
    Differentially expressed proteoforms) compares the abundances of
    proteoforms and finds differentially expressed proteoforms by using
    identifications of top-down mass spectrometry data of several protein
    samples.
 .
 This package ships common data used by the various program in the
 toppic package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:

	rm -f debian/topfd.1
	rm -f debian/toppic.1
	rm -f debian/topmg.1
	rm -f debian/topdiff.1

	dh_clean


override_dh_auto_configure:

	rst2man debian/topfd.1.rst > debian/topfd.1
	rst2man debian/toppic.1.rst > debian/toppic.1
	rst2man debian/topmg.1.rst > debian/topmg.1
	rst2man debian/topdiff.1.rst > debian/topdiff.1

	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_BUILD_TYPE=release

=== debian/watch ===
version=4

opts="repack, \
repacksuffix=+dfsg, \
compression=gzip, \
dversionmangle=s/\+dfsg\d*$//, \
filenamemangle=s%(?:.*?)?v?(\d[\d\.]*)\.tar\.gz%toppic-$1.tar.gz%" \
https://github.com/toppic-suite/toppic-suite/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
debian \
uupdate

## toppic 1.5.3+dfsg1

=== CMakeLists.txt ===
#pecify the version being used as well as the language
cmake_minimum_required(VERSION 3.1)
#Name your project here
project(TopPIC)

SET(CMAKE_VERBOSE_MAKEFILE ON)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/../bin)

SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/../lib)

SET(CMAKE_INSTALL_PREFIX ${HOME}/toppic)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  # Linux specific code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unknown-pragmas -std=c++14 -Wl,-rpath=$ORIGIN,--disable-new-dtags -O3 -DWITHOUT_MZ5 -fPIC")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux") 

IF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
  # Windows specific code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unknown-pragmas -std=c++14 -O3 -DWITHOUT_MZ5 -fPIC -fpermissive")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")

# The options c++14 and mavx are set for the frugally-deep library
message(STATUS "system name " ${CMAKE_SYSTEM_NAME})

# for Qt
set(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Gui)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  # Linux specific code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DTOPPIC_LINUX")
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src
                      ${CMAKE_CURRENT_SOURCE_DIR}/ext
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS})
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux") 

IF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
  # Windows specific code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DTOPPIC_WINDOWS -DWIN32")
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src
                      ${CMAKE_CURRENT_SOURCE_DIR}/ext
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS})
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")

message(STATUS "cmake cxx flags " ${CMAKE_CXX_FLAGS})

# pwiz
file(GLOB PWIZ_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/ext/pwiz/utility/minimxml/*.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/ext/pwiz/utility/misc/*.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/ext/pwiz/data/common/*.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/ext/pwiz/data/msdata/*.cpp)
# nowide
file(GLOB NOWIDE_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/ext/boost/nowide/*.cpp)

# hts
file(GLOB HTS_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/ext/htslib/*.c)

# common
file(GLOB_RECURSE COMMON_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/common/*.cpp)
file(GLOB SEQ_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/seq/*.cpp)
file(GLOB PARA_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/para/*.cpp)
file(GLOB SPEC_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/ms/spec/*.cpp
                     ${CMAKE_CURRENT_SOURCE_DIR}/src/ms/factory/*.cpp
                     ${CMAKE_CURRENT_SOURCE_DIR}/src/ms/env/*.cpp
                     ${CMAKE_CURRENT_SOURCE_DIR}/src/ms/feature/*.cpp)
file(GLOB PRSM_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/prsm/*.cpp)

# classes for topfd 
file(GLOB_RECURSE TOPFD_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/topfd/*.cpp)

# topfd console 
file(GLOB TOPFD_CONSOLE_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd_argument.cpp
                             ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd.cpp)
# topfd gui
file(GLOB TOPFD_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topfd/*.cpp
                           ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topfd/*.qrc)

# topfd_single console main
file(GLOB TOPFD_SINGLE_PROC_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd_single_process.cpp)
file(GLOB TOPFD_SINGLE_CONSOLE_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd_single_argument.cpp
                                    ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topfd_single.cpp)
 
# classes for toppic
file(GLOB_RECURSE FILTER_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/filter/*.cpp)

file(GLOB SEARCH_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/search/diag/*.cpp 
                       ${CMAKE_CURRENT_SOURCE_DIR}/src/search/zeroptmsearch/*.cpp
                       ${CMAKE_CURRENT_SOURCE_DIR}/src/search/oneptmsearch/*.cpp
                       ${CMAKE_CURRENT_SOURCE_DIR}/src/search/ptmsearch/*.cpp
                       ${CMAKE_CURRENT_SOURCE_DIR}/src/search/duplicatematch/*.cpp)

file(GLOB TDGF_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/stat/count/*.cpp
                      ${CMAKE_CURRENT_SOURCE_DIR}/src/stat/tdgf/*.cpp)
file(GLOB LOCAL_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/stat/local/*.cpp)
file(GLOB VISUAL_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/visual/*.cpp)

# toppic console main
file(GLOB TOPPIC_PROC_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/console/toppic_process.cpp
		                  	    ${CMAKE_CURRENT_SOURCE_DIR}/src/console/toppic_argument.cpp)

file(GLOB TOPPIC_CONSOLE_SRCS	${CMAKE_CURRENT_SOURCE_DIR}/src/console/toppic.cpp)

# toppic gui main
file(GLOB TOPPIC_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/toppic/*.cpp
	                  		    ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/toppic/*.qrc)

# classes for topmg
file(GLOB GRAPH_ALIGN_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/search/diag/*.cpp
                            ${CMAKE_CURRENT_SOURCE_DIR}/src/search/graph/*.cpp
                            ${CMAKE_CURRENT_SOURCE_DIR}/src/search/graphalign/*.cpp
                            ${CMAKE_CURRENT_SOURCE_DIR}/src/search/duplicatematch/*.cpp)

file(GLOB MCMC_SRCS  ${CMAKE_CURRENT_SOURCE_DIR}/src/stat/count/*.cpp
                     ${CMAKE_CURRENT_SOURCE_DIR}/src/stat/mcmc/*.cpp)

# topmg console main
file(GLOB TOPMG_PROC_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmg_process.cpp
	                  		    ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmg_argument.cpp
                      			${CMAKE_CURRENT_SOURCE_DIR}/src/console/topindex_file_name.cpp)

file(GLOB TOPMG_CONSOLE_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmg.cpp)

# topmg gui main
file(GLOB TOPMG_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topmg/*.cpp
	                  		   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topmg/*.qrc)

# topdiff classes
file(GLOB DIFF_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/merge/*.cpp)

file(GLOB DIFF_SEARCH_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/search/duplicatematch/*.cpp)

# topdiff console main
file(GLOB TOPDIFF_PROC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topdiff_process.cpp
                            ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topdiff_argument.cpp)
file(GLOB TOPDIFF_CONSOLE_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topdiff.cpp)

# topdiff gui main 
file(GLOB TOPDIFF_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topdiff/*.cpp
		                         ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topdiff/*.qrc)

# topindex classes
file(GLOB FILTER_INDEX_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/filter/massmatch/*.cpp
                            ${CMAKE_CURRENT_SOURCE_DIR}/src/filter/mng/*.cpp
                            ${CMAKE_CURRENT_SOURCE_DIR}/src/filter/index/*.cpp)

# topindex console main
file(GLOB TOPINDEX_PROC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topindex_process.cpp
                             ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topindex_argument.cpp)					 

file(GLOB TOPINDEX_CONSOLE_SRCS
        		     ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topindex.cpp)

# topindex gui main 
file(GLOB TOPINDEX_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topindex/*.cpp
			                        ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topindex/*.qrc)

# topmerge console main
file(GLOB TOPMERGE_PROC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmerge_process.cpp
                             ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmerge_argument.cpp)		
                             
file(GLOB TOPMERGE_SEARCH_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/search/duplicatematch/*.cpp)			 

file(GLOB TOPMERGE_CONSOLE_SRCS
        		     ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topmerge.cpp)
# topindex gui main 
file(GLOB TOPMERGE_GUI_SRCS   ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topmerge/*.cpp
			                        ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/topmerge/*.qrc)

# topconvert
file(GLOB TOPCONVERT_SRCS     ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topconvert_process.cpp
		                  	      ${CMAKE_CURRENT_SOURCE_DIR}/src/console/toppic_argument.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/src/console/topconvert.cpp)
                              
file(GLOB TOPCONVERT_SEARCH_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/search/duplicatematch/*.cpp)

# unit test using catch
file(GLOB UNIT_TEST_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/test/*.cpp)

#gui to run exe in command line
file(GLOB GUI_UTIL_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/gui/util/*.cpp)

add_executable(topfd 
  ${TOPFD_CONSOLE_SRCS} ${TOPFD_SRCS} ${COMMON_SRCS} ${PARA_SRCS} 
  ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PWIZ_SRCS} ${NOWIDE_SRCS})

#add_executable(topfd_single 
#  ${TOPFD_SINGLE_CONSOLE_SRCS} ${TOPFD_SINGLE_PROC_SRCS} ${TOPFD_SRCS}
#  ${SPEC_SRCS} ${ENV_SRCS} ${PWIZ_SRCS} ${COMMON_SRCS}) 

add_executable(topfd_gui 
  ${TOPFD_GUI_SRCS} ${TOPFD_SRCS} ${COMMON_SRCS} ${PARA_SRCS} 
  ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PWIZ_SRCS} ${NOWIDE_SRCS} ${GUI_UTIL_SRCS})

add_executable(topindex 
  ${TOPINDEX_CONSOLE_SRCS} ${TOPINDEX_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS}
  ${SEQ_SRCS} ${PARA_SRCS} ${FILTER_INDEX_SRCS}) 

add_executable(topindex_gui 
  ${TOPINDEX_GUI_SRCS} ${TOPINDEX_PROC_SRCS} ${HTS_SRCS} 
  ${COMMON_SRCS} ${SEQ_SRCS} ${PARA_SRCS} ${FILTER_INDEX_SRCS} ${GUI_UTIL_SRCS})

add_executable(toppic 
	${TOPPIC_CONSOLE_SRCS} ${TOPPIC_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS}  
  ${PRSM_SRCS} ${FILTER_SRCS} ${SEARCH_SRCS}  
  ${TDGF_SRCS} ${LOCAL_SRCS} ${VISUAL_SRCS})

add_executable(toppic_gui 
	${TOPPIC_GUI_SRCS} ${TOPPIC_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS}  
  ${PRSM_SRCS} ${FILTER_SRCS} ${SEARCH_SRCS}  
  ${TDGF_SRCS} ${LOCAL_SRCS} ${VISUAL_SRCS} ${GUI_UTIL_SRCS})

add_executable(topmg 
	${TOPMG_CONSOLE_SRCS} ${TOPMG_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS}
  ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS} ${PRSM_SRCS} ${FILTER_SRCS} 
	${GRAPH_ALIGN_SRCS} ${MCMC_SRCS} ${VISUAL_SRCS})

add_executable(topmg_gui 
	${TOPMG_GUI_SRCS} ${TOPMG_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS} ${PRSM_SRCS} ${FILTER_SRCS}  
	${GRAPH_ALIGN_SRCS} ${MCMC_SRCS} ${VISUAL_SRCS} ${GUI_UTIL_SRCS})

add_executable(topdiff 
  ${TOPDIFF_CONSOLE_SRCS} ${TOPDIFF_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} ${DIFF_SEARCH_SRCS}
  ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS} ${PRSM_SRCS} ${DIFF_SRCS})

add_executable(topdiff_gui ${TOPDIFF_GUI_SRCS} ${TOPDIFF_GUI_QRC}
  ${TOPDIFF_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} ${DIFF_SEARCH_SRCS}
  ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS} ${PRSM_SRCS} ${DIFF_SRCS} ${GUI_UTIL_SRCS})

add_executable(topmerge ${TOPMERGE_CONSOLE_SRCS} ${TOPMERGE_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${TOPMERGE_SEARCH_SRCS} ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS} ${LOCAL_SRCS} ${PRSM_SRCS} ${VISUAL_SRCS}) 
  
add_executable(topmerge_gui ${TOPMERGE_GUI_SRCS} ${TOPMERGE_GUI_QRC} 
  ${TOPMERGE_PROC_SRCS} ${HTS_SRCS} ${COMMON_SRCS} ${TOPMERGE_SEARCH_SRCS}
  ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS} ${LOCAL_SRCS} ${PRSM_SRCS} ${VISUAL_SRCS} ${GUI_UTIL_SRCS}) 

add_executable(topconvert ${TOPCONVERT_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
  ${SEQ_SRCS} ${PARA_SRCS} ${SPEC_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS} ${TOPCONVERT_SEARCH_SRCS})


#add_executable(toppic_test 
#  ${TEST_SRCS} ${HTS_SRCS} ${COMMON_SRCS} 
#  ${SEQ_SRCS} ${SPEC_SRCS} ${ENV_SRCS} ${FEATURE_SRCS} ${PRSM_SRCS} ${FILTER_SRCS}  
#  ${ZERO_PTM_SRCS} ${ONE_PTM_SEARCH_SRCS} ${PTM_SRCS} 
#  ${TDGF_SRCS} ${LOCAL_SRCS} ${VISUAL_SRCS})


#add_executable(toppic_match_peak ${TOPPIC_MATCH_PEAK_SRCS} ${TOPPIC_ARGU_SRCS} ${HTS_SRCS} ${BASE_SRCS} ${SPEC_SRCS} ${PRSM_SRCS} ${PRSM_VIEW_SRCS})

=== debian/changelog ===
toppic (1.5.3+dfsg1-1) unstable; urgency=low

  * Repackaged source tree to actually remove doc/wiki.
  * Fixes to license names and small designations (Boost, MIT).
  * Also ship example files in toppic-common doc.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 30 Oct 2022 22:51:42 +0100

toppic (1.5.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Drop redundant parts from d/watch that are confusing routine-update
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact, Name,
    Repository, Repository-Browse.
  * Build-Depends: libeigen3-dev, nlohmann-json3-dev

  * Patch-based fixes to CMakeLists.txt to ensure all the _gui variants of the
    programs are shipped.
  * Update d/copyright

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 30 Oct 2022 15:03:26 +0100

=== debian/control ===
Source: toppic
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               libhts-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-thread-dev,
               libboost-system-dev,
               libboost-iostreams-dev,
               libboost-chrono-dev,
               libeigen3-dev,
               libxerces-c-dev,
               qtbase5-dev,
               libpwizlite-dev,
               nlohmann-json3-dev,
               zlib1g-dev,
               python3-docutils,
               libjs-filesaver,
               fonts-font-awesome,
               fonts-freefont-ttf,
               libjs-bootstrap4,
               libjs-popper.js,
               libjs-jquery-ui,
               node-jquery
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debichem-team/toppic
Vcs-Git: https://salsa.debian.org/debichem-team/toppic.git
Homepage: http://proteomics.informatics.iupui.edu/software/toppic/index.html
Rules-Requires-Root: no

Package: toppic
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         toppic-common (= ${source:Version})
Description: Top-down proteoform identification and characterization (programs)
 The TopPIC Suite consists of four software tools for the interpretation
 of top-down mass spectrometry data: TopFD, TopPIC, TopMG, and TopDiff.
 .
  -TopFD (Top-down mass spectral Feature Detection) is a software tool
    for top-down spectral deconvolution and a successor to MS-Deconv.  It
    groups top-down spectral peaks into isotopomer envelopes and converts
    isotopomer envelopes to monoisotopic neutral masses. In addition, it
    extracts proteoform features from LC-MS or CE-MS data.
 .
  -TopPIC (Top-down mass spectrometry based Proteoform Identification
    and Characterization) identifies and characterizes proteoforms at the
    proteome level by searching top-down tandem mass spectra against a
    protein sequence database. TopPIC is a successor to MS-Align+. It
    efficiently identifies proteoforms with unexpected alterations, such
    as mutations and post-translational modifications (PTMs), accurately
    estimates the statistical significance of identifications, and
    characterizes reported proteoforms with unknown mass shifts. It uses
    several techniques, such as indexes, spectral alignment, generation
    function methods, and the modification identification score (MIScore),
    to increase the speed, sensitivity, and accuracy.
 .
  -TopMG (Top-down mass spectrometry based proteoform identification
    using Mass Graphs) is a software tool for identifying ultra-modified
    proteoforms by searching top-down tandem mass spectra against a
    protein sequence database.  It is capable of identifying proteoforms
    with multiple variable PTMs and unexpected alterations, such as
    histone proteoforms and phosphorylated ones.  It uses mass graphs,
    which efficiently represent candidate proteoforms with multiple
    variable PTMs, to increase the speed and sensitivity in proteoform
    identification. In addition, approximate spectrum-based filtering
    methods are employed for protein sequence filtering, and a Markov
    chain Monte Carlo method (TopMCMC) is used for estimating the
    statistical significance of identifications.
 .
  -TopDiff (Top-down mass spectrometry-based identification of
    Differentially expressed proteoforms) compares the abundances of
    proteoforms and finds differentially expressed proteoforms by using
    identifications of top-down mass spectrometry data of several protein
    samples.

Package: toppic-common
Architecture: all
Depends: ${misc:Depends},
         fonts-font-awesome,
         fonts-freefont-ttf,
         libjs-filesaver,
         libjs-bootstrap4,
         libjs-popper.js,
         libjs-jquery-ui,
         node-jquery
Description: Top-down proteoform identification and characterization (common data)
 The TopPIC Suite consists of four software tools for the interpretation
 of top-down mass spectrometry data: TopFD, TopPIC, TopMG, and TopDiff.
 .
  -TopFD (Top-down mass spectral Feature Detection) is a software tool
    for top-down spectral deconvolution and a successor to MS-Deconv.  It
    groups top-down spectral peaks into isotopomer envelopes and converts
    isotopomer envelopes to monoisotopic neutral masses. In addition, it
    extracts proteoform features from LC-MS or CE-MS data.
 .
  -TopPIC (Top-down mass spectrometry based Proteoform Identification
    and Characterization) identifies and characterizes proteoforms at the
    proteome level by searching top-down tandem mass spectra against a
    protein sequence database. TopPIC is a successor to MS-Align+. It
    efficiently identifies proteoforms with unexpected alterations, such
    as mutations and post-translational modifications (PTMs), accurately
    estimates the statistical significance of identifications, and
    characterizes reported proteoforms with unknown mass shifts. It uses
    several techniques, such as indexes, spectral alignment, generation
    function methods, and the modification identification score (MIScore),
    to increase the speed, sensitivity, and accuracy.
 .
  -TopMG (Top-down mass spectrometry based proteoform identification
    using Mass Graphs) is a software tool for identifying ultra-modified
    proteoforms by searching top-down tandem mass spectra against a
    protein sequence database.  It is capable of identifying proteoforms
    with multiple variable PTMs and unexpected alterations, such as
    histone proteoforms and phosphorylated ones.  It uses mass graphs,
    which efficiently represent candidate proteoforms with multiple
    variable PTMs, to increase the speed and sensitivity in proteoform
    identification. In addition, approximate spectrum-based filtering
    methods are employed for protein sequence filtering, and a Markov
    chain Monte Carlo method (TopMCMC) is used for estimating the
    statistical significance of identifications.
 .
  -TopDiff (Top-down mass spectrometry-based identification of
    Differentially expressed proteoforms) compares the abundances of
    proteoforms and finds differentially expressed proteoforms by using
    identifications of top-down mass spectrometry data of several protein
    samples.
 .
 This package ships common data used by the various program in the
 toppic package and some documentation.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,10 @@
 	rst2man debian/topmg.1.rst > debian/topmg.1
 	rst2man debian/topdiff.1.rst > debian/topdiff.1
 
+# Note that here thre prefix needs to be "/" because of the CMakeLists.txt
+# file that says install like this:
+# install (TARGETS topfd toppic topmg topdiff topindex topmerge DESTINATION ${CMAKE_INSTALL_PREFIX}/usr/bin/)
+# install (DIRECTORY toppic_resources/ DESTINATION ${CMAKE_INSTALL_PREFIX}/etc/toppic)
 	dh_auto_configure -- \
-		-DCMAKE_INSTALL_PREFIX="/usr" \
+		-DCMAKE_INSTALL_PREFIX="/" \
 		-DCMAKE_BUILD_TYPE=release
-
